{
  num: 711,
  accuracy: 100,
  basePower: 160,
  category: "Special",
  name: "Prismatic Laser",
  pp: 1,
  priority: 0,
  flags: { recharge: 1, protect: 1, mirror: 1, metronome: 1 },
  secondary: {
    chance: 50,
    status: "slp"
  },
  target: "normal",
  type: "Psychic",
  contestType: "Cool",

  onPrepareHit(target, source, move) {
    source.addVolatile('rechargetracker');
  },
  onAfterMove(source, target, move) {
    const tracker = source.volatiles['rechargetracker'];
    if (!tracker?.gotKO) {
      source.addVolatile('mustrecharge');
    }
    source.removeVolatile('rechargetracker');
  },
  onAfterMoveSecondarySelf(source, target, move) {
    if (!target?.fainted) return;
    if (source.volatiles['rechargetracker']) {
      source.volatiles['rechargetracker'].gotKO = true;
    }
  },
} 